> ## Documentation Index
> Fetch the complete documentation index at: https://aisa.one/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# 实时 Google AI 模式搜索结果页

> 实时返回 Google AI Mode SERP 结果。



## OpenAPI

````yaml openapi/zh/dataforseo.json POST /dataforseo/serp/google/ai_mode/live/advanced
openapi: 3.0.3
info:
  title: DataForSEO API
  version: 1.0.0
  description: 通过 AIsa 统一网关提供的 DataForSEO API 端点。
servers:
  - url: https://api.aisa.one/apis/v1
security:
  - BearerAuth: []
paths:
  /dataforseo/serp/google/ai_mode/live/advanced:
    post:
      summary: 实时 Google AI 模式搜索结果页
      description: 实时返回 Google AI Mode 搜索结果页结果。每次 Live SERP 调用只能包含一个任务。
      operationId: post_dataforseo_serp_google_ai_mode_live_advanced
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                keyword:
                  type: string
                  description: 关键词；最多可指定 700 个字符
                location_code:
                  type: integer
                  description: 搜索引擎位置代码；如果未指定 location_name 或 location_coordinate，则为必填项
                location_name:
                  type: string
                  description: >-
                    搜索引擎位置的完整名称；如果未指定 location_code 或
                    location_coordinate，则此项为必填项
                location_coordinate:
                  type: string
                  description: 位置的 GPS 坐标；如果未指定 location_name 或 location_code，则为必填项
                language_name:
                  type: string
                  description: 搜索引擎语言的完整名称；未指定 language_code 时必填
                language_code:
                  type: string
                  description: 搜索引擎语言代码；未指定 language_name 时必填
                device:
                  type: string
                  description: 设备类型：desktop 或 mobile
                calculate_rectangles:
                  type: boolean
                  description: 启用 SERP 中元素的像素排名计算
                browser_screen_width:
                  type: integer
                  description: 自定义浏览器屏幕宽度
                browser_screen_height:
                  type: integer
                  description: 自定义浏览器屏幕高度
                browser_screen_resolution_ratio:
                  type: number
                  description: 用于矩形计算的屏幕分辨率比例
              required:
                - keyword
      responses:
        '200':
          description: 成功响应
          content:
            application/json:
              schema:
                type: object
                properties:
                  version:
                    type: string
                    description: API 的当前版本
                  status_code:
                    type: integer
                    description: 通用状态码
                  status_message:
                    type: string
                    description: 一般信息消息
                  time:
                    type: string
                    description: 执行时间（秒）
                  cost:
                    type: number
                    description: 任务总成本（美元）
                  tasks_count:
                    type: integer
                    description: tasks 数组中的任务数量
                  tasks_error:
                    type: integer
                    description: 返回错误的 tasks 数组中的任务数量
                  tasks:
                    type: array
                    items:
                      type: string
                    description: 任务数组
                  tasks[].result:
                    type: array
                    items:
                      type: string
                    description: 实时 SERP 结果数组
                  tasks[].result[].keyword:
                    type: string
                    description: POST 数组中接收的关键词
                  tasks[].result[].type:
                    type: string
                    description: POST 数组中的搜索引擎类型
                  tasks[].result[].se_domain:
                    type: string
                    description: POST 数组中的搜索引擎域名
                  tasks[].result[].location_code:
                    type: integer
                    description: POST 数组中的位置代码
                  tasks[].result[].language_code:
                    type: string
                    description: POST 数组中的语言代码
                  tasks[].result[].check_url:
                    type: string
                    description: 带优化参数的搜索 URL
                  tasks[].result[].item_types:
                    type: array
                    items:
                      type: string
                    description: SERP 中发现的搜索结果类型
                  tasks[].result[].items_count:
                    type: integer
                    description: items 数组中返回的结果数量
                  tasks[].result[].items:
                    type: array
                    items:
                      type: string
                    description: SERP 中找到的搜索结果元素
        '400':
          description: 错误请求
        '401':
          description: 未授权
        '429':
          description: 超出速率限制
        '500':
          description: 内部服务器错误
components:
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````